<template>
  <div id="prefooter" class="prefooter bg-white">
    <div class="prefooter__container">
      <h1>Salurkan aspirasi dan akses layanan publik serta informasi tentang Jabar melalui Sapawarga!</h1>
      <p>Ingin jadi salah satu warga Jabar yang pertama mendapatkan informasi terbaru tentang aplikasi Sapawarga? Isi formulir dengan menekan tombol di bawah.</p>

      <div class="prefooter__content">
        <jds-button class="prefooter__content" variant="primary" @click="getApp()">
          Isi Formulir
        </jds-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Prefooter',
  data() {
    return {}
  },
  methods: {
    getApp() {
      const link = 'http://bit.ly/cobasapawarga'
      window.open(link, '_blank')
    }
  }
}
</script>

<style lang="scss" scoped>
.prefooter {
  background-image: url('~@/assets/landing-page/prefooter.svg');
  background-repeat: no-repeat;
  background-size: 100%;
  min-height: 400px;
  &__container {
    padding: 10px 120px;
  }
  &__content {
    display: flex;
    justify-content: center;
    text-align: center;
  }
}

h1 {
  font-family: Lora, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 60px;
  text-align: center;
}

p {
  padding: 0 100px;
  text-align: center;
  font-family: Roboto, sans-serif;
  font-style: normal;
  line-height: 1.5em;
  font-size: 21px;
}

.jds-button--primary {
  background-color: #1976D2;
  &:hover {
    background-color: #3a99f8;
  }
}

@media screen and (max-width: 600px) {
  .prefooter {
    min-height: auto;
    &__container {
      padding: 30px;
    }
  }

  h1 {
    font-size: 24px;
    line-height: 34px;
    text-align: center;
  }

  p {
    font-size: 14px;
    line-height: 1em;
    padding: 0;
  }
}
</style>
